﻿
drop table [Product]
go

drop table [Category]
go

create table [Category]
(
  [CategoryId] int not null,
  [Name] nvarchar(max) not null,

  constraint [Category_PK] primary key ([CategoryId])
)
go

create table [Product]
(
  [ProductId] int not null,
  [Name] nvarchar(max) not null,
  [Price] decimal not null,
  [CategoryId] int not null,

  constraint [Product_PK] primary key ([ProductId])
  ,
  constraint [Category_Product_FK] foreign key 
    ([CategoryId]) references [Category]([CategoryId])
)
go


